using IACommService4CSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlcCom
{
    public class PlcContex
    {

        public string Name { get; set; }
        public IPlcComProtocol Protocol { get; }

        public PlcContex(IPlcComProtocol protocol, string name = null)
        {
            Protocol = protocol;
            Name = name ?? Guid.NewGuid().ToString();
        }

        private PlcContex() { }

    }
}

